%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global module  javaobj

%global date    20142011
%global rev     31

%global source  %{name}-%{version}svn%{rev}

Name:           python-%{module}
Version:        0
Release:        0.1.%{date}svn%{rev}%{?dist}
Summary:        Python module for serializing and deserializing Java objects

License:        ASL 2.0
URL:            https://code.google.com/p/%{name}

##Make source tarball from svn with $ ./%{name}-svn-tarball.sh %{rev}
Source0:        %{source}.tar.xz
Source1:        %{name}-svn-tarball.sh
Source10:       %{name}-COPYRIGHT      

BuildArch:      noarch
BuildRequires:  python-devel >= 2.6
BuildRequires:  python-setuptools

##deps for tests
BuildRequires:  java-devel
BuildRequires:  maven-local maven-resources-plugin maven-surefire-plugin

Requires:       python

%description
%{name} is a python library that provides functions for reading (and
writing as WIP) of Java objects serialized or will be deserialized by
ObjectOutputStream. This form of object representation is a standard data
interchange format in Java.

%{module} module exposes an API familiar to users of the standard library marshal,
pickle and json modules.

Features
    Java object instance unmarshaling
    Java class itself unmarshaling
    Primitive values unmarshaling
    Automatic conversion of Java Collections to python ones 
    (HashMap => dict, ArrayList => list, etc) 

See also the PyPi module at: https://pypi.python.org/pypi/%{module}


%prep
%setup -qn%{source}
cp -p %{SOURCE10} COPYRIGHT
sed -i 's|throw new MyException()||' java/src/test/java/OneTest.java
sed -i -e "s|'mvn'|'xmvn', '-o'|" -e 's|test_7|disable|' tests.py

%build
%{__python2} setup.py build

%check
export DISPLAY=:0.0
%{__python2} tests.py

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc COPYRIGHT
%{python2_sitelib}/%{module}*


%changelog
* Thu Nov 20 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0-0.1.20142011svn31
- initial
